Connect Help

Which browsers are supported

for WUSTL CONNECT?

For optimal performance you should use one of the following browsers with WUSTL CONNECT applications:

Microsoft Windows

  • Internet Explorer 6.x
  • Internet Explorer 7.x
  • Internet Exploer 8.x
  • Firefox 2.x
  • Firefox 3.x
  • Safari 3.x

Macintosh OSX

  • Firefox 2.x
  • Firefox 3.x
  • Safari 3.x
  • Safari 4.x

If you are getting a certificate error when using WUSTL CONNECT Applications in Safari, download the new certificate here.

If you experience anomolies please contact ConnectSupport@wustl.edu

 

styles are turned off